Bug 595104 - Uses hardcoded 'evince' for viewing PDF files
Summary: Uses hardcoded 'evince' for viewing PDF files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-auctex
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-23 11:33 UTC by Enrico Scholz
Modified: 2010-05-27 18:35 UTC (History)
2 users (show)

Fixed In Version: emacs-auctex-11.86-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-27 18:33:19 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2010-05-23 11:33:05 UTC
Description of problem:

There is a hardcoded 'Requires: evince' which adds dependencies on gnome.  There exist other pdf viewer viewers (xpdf, okular) so it would be better to remove this Requires: and to use 'xdg-open' for opening pdf files.


Version-Release number of selected component (if applicable):

emacs-auctex-11.86-1.fc13.noarch

Comment 1 Jonathan Underwood 2010-05-23 12:14:52 UTC
This is a tough one.

Why not xdg-open: xdg-open doesn't handle the command line parameters that need to be passed to the viewer application (whether it be evince, or okular, or whatever) that auctex needs. 

I originally added facility to use evince as the pdf viewer (rather than xpdf) to the previous release of auctex in reponse to a number of bug reports requesting it. And then the most recent upstream auctex release use evince by default. And this is how we got to where we are.

Your complaint is very much a legitimate one, but I don't immediately see a good solution to keep everyone happy. I could simply drop the Requires from the package, I suppose. 

It'd be nice to add a subpackage, say emacs-auctex-kde which drops a config file into the site-start.d directory and configures things nicely for okular so that KDE users don't end up installing emacs-auctex only to find that they have to configure it by hand to use okular rather than the (not installed) evince. A patch would be very welcome :)

Comment 2 Fedora Update System 2010-05-23 12:32:06 UTC
emacs-auctex-11.86-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/emacs-auctex-11.86-2.fc12

Comment 3 Fedora Update System 2010-05-23 12:33:04 UTC
emacs-auctex-11.86-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/emacs-auctex-11.86-2.fc13

Comment 4 Enrico Scholz 2010-05-23 17:56:27 UTC
removal of the 'Requires:' is fair;  emacs users should be able to adjust TeX-view-program-selection.

Comment 5 Fedora Update System 2010-05-24 19:38:12 UTC
emacs-auctex-11.86-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-auctex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/emacs-auctex-11.86-2.fc13

Comment 6 Fedora Update System 2010-05-24 19:42:54 UTC
emacs-auctex-11.86-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-auctex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/emacs-auctex-11.86-2.fc12

Comment 7 Fedora Update System 2010-05-27 18:33:15 UTC
emacs-auctex-11.86-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-05-27 18:35:03 UTC
emacs-auctex-11.86-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.